<?php

namespace Vinteract\Resources;

use \Vinteract\Client;

use \Illuminate\Database\Eloquent\Model;

class UserGroupUser extends Model {
	
	/*
		Properties
	*/
	
	public $timestamps = false;
	
	protected $fillable = [
		"user_id",
		"user_group_id"
	];
	
	/*
		Overrides
	*/
	
	public function __construct($attributes = []) {
		
		parent::__construct($attributes);
		
		$this->setTable(Client::getName() . "_user_groups_users");
		$this->setConnection(Client::getType());
		
	}
	
}